org.springframework.web.socket.handler

## Class TextWebSocketHandler

- java.lang.Object
- - org.springframework.web.socket.handler.AbstractWebSocketHandler
  - - org.springframework.web.socket.handler.TextWebSocketHandler

All Implemented Interfaces:
  WebSocketHandler

Direct Known Subclasses:
  SockJsWebSocketHandler

    public class TextWebSocketHandler
    extends AbstractWebSocketHandler

A convenient base class for `WebSocketHandler` implementations that process text messages only.

Binary messages are rejected with `CloseStatus.NOT_ACCEPTABLE`. All other methods have empty implementations.

Since:
  4.0
Author:
  Rossen Stoyanchev, Phillip Webb

### Constructor Summary

Constructors
Constructor and Description
`TextWebSocketHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `handleBinaryMessage(WebSocketSession session, BinaryMessage message)`

### Methods inherited from class org.springframework.web.socket.handler.AbstractWebSocketHandler

`afterConnectionClosed, afterConnectionEstablished, handleMessage, handlePongMessage, handleTextMessage, handleTransportError, supportsPartialMessages`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TextWebSocketHandler

    public TextWebSocketHandler()

### Method Detail

#### handleBinaryMessage

    protected void handleBinaryMessage(WebSocketSession session,
                                       BinaryMessage message)

Overrides:
  `handleBinaryMessage` in class `AbstractWebSocketHandler`